<?php 

 echo '' . "\n";

echo '<h1>' . ( ( isset($this->_tpldata['.'][0]['L_RANKS_TITLE']) ) ? $this->_tpldata['.'][0]['L_RANKS_TITLE'] : '' ) . '</h1>' . "\n";

echo '' . "\n";

echo '<p>' . ( ( isset($this->_tpldata['.'][0]['L_RANKS_TEXT']) ) ? $this->_tpldata['.'][0]['L_RANKS_TEXT'] : '' ) . '</p>' . "\n";

echo '' . "\n";

echo '<form method="post" action="' . ( ( isset($this->_tpldata['.'][0]['S_RANKS_ACTION']) ) ? $this->_tpldata['.'][0]['S_RANKS_ACTION'] : '' ) . '"><table cellspacing="1" cellpadding="4" border="0" align="center" class="forumline">' . "\n";

echo '	<tr>' . "\n";

echo '		<th class="thCornerL">' . ( ( isset($this->_tpldata['.'][0]['L_RANK']) ) ? $this->_tpldata['.'][0]['L_RANK'] : '' ) . '</th>' . "\n";

echo '        <th class="thTop">' . ( ( isset($this->_tpldata['.'][0]['L_RANK_MINIMUM']) ) ? $this->_tpldata['.'][0]['L_RANK_MINIMUM'] : '' ) . '</th>' . "\n";

echo '		<th class="thTop">' . ( ( isset($this->_tpldata['.'][0]['L_SPECIAL_RANK']) ) ? $this->_tpldata['.'][0]['L_SPECIAL_RANK'] : '' ) . '</th>' . "\n";

echo '		<th class="thTop">' . ( ( isset($this->_tpldata['.'][0]['L_EDIT']) ) ? $this->_tpldata['.'][0]['L_EDIT'] : '' ) . '</th>' . "\n";

echo '		<th class="thCornerR">' . ( ( isset($this->_tpldata['.'][0]['L_DELETE']) ) ? $this->_tpldata['.'][0]['L_DELETE'] : '' ) . '</th>' . "\n";

echo '	</tr>' . "\n";

$_ranks_count = ( isset($this->_tpldata['ranks.']) ) ? sizeof($this->_tpldata['ranks.']) : 0;

for ($_ranks_i = 0; $_ranks_i < $_ranks_count; $_ranks_i++)

{

echo '	<tr>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['RANK']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['RANK'] : '' ) . '</td>' . "\n";

echo '        <td class="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['RANK_MIN']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['RANK_MIN'] : '' ) . '</td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['SPECIAL_RANK']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['SPECIAL_RANK'] : '' ) . '</td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS'] : '' ) . '" align="center"><a href="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['U_RANK_EDIT']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['U_RANK_EDIT'] : '' ) . '">' . ( ( isset($this->_tpldata['.'][0]['L_EDIT']) ) ? $this->_tpldata['.'][0]['L_EDIT'] : '' ) . '</td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['ROW_CLASS'] : '' ) . '" align="center"><a href="' . ( ( isset($this->_tpldata['ranks.'][$_ranks_i]['U_RANK_DELETE']) ) ? $this->_tpldata['ranks.'][$_ranks_i]['U_RANK_DELETE'] : '' ) . '">' . ( ( isset($this->_tpldata['.'][0]['L_DELETE']) ) ? $this->_tpldata['.'][0]['L_DELETE'] : '' ) . '</td>' . "\n";

echo '	</tr>' . "\n";

} // END ranks

echo '	<tr>' . "\n";

echo '		<td class="catBottom" align="center" colspan="6"><input type="submit" class="mainoption" name="add" value="' . ( ( isset($this->_tpldata['.'][0]['L_ADD_RANK']) ) ? $this->_tpldata['.'][0]['L_ADD_RANK'] : '' ) . '" /></td>' . "\n";

echo '	</tr>' . "\n";

echo '</table>{S_HIDDEN_FIELDS} </form>' . "\n";

echo '' . "\n"; 

 ?>